<div >
    <div class="row">
        <div class="col-sm-6">
            <h3 class="modal-title">Similar stratigraphies</h3>
        </div>
        <div class="col-sm-6">
            <h3 class="modal-title">Results</h3>
        </div>
    </div>
</div>
<div  style="overflow-x: auto">
    <div class="col-sm-6">
    <div id="accordion_weights" aria-multiselectable="true">
<!--
        <div class="row">
            <button class="btn" data-toggle="collapse" data-parent="#accordion_weights"
                    data-target="#content_weights" aria-controls="content_weights"
                    aria-expanded="true">advanced similarity settings
            </button>
        </div>
-->
        <div class="accordion-content1" id="content_weights">
            <div class="line">
                <div class="row">

                    <i>You can enable or disable characteristics used to compare strata
                        (Binocular or Cross-section ones) also change the value for each
                        characteristic</i>
                </div>
                <div class="row">
                    <div class="btn-toolbar">
                        <div class="btn-group" role="group">
                            <button type="button" class="btn btn-primary" ng-model="checkWeights.Bi"
                                    uib-btn-checkbox uib-tooltip="use Binocular characteristics">
                                Binocular
                            </button>
                            <button type="button" class="btn btn-primary" ng-model="checkWeights.CS"
                                    uib-btn-checkbox uib-tooltip="use Cross-section characteristics">
                                Cross-section
                            </button>
                        </div>
                        <div class="btn-group" role="group">
                            <button type="button" class="btn btn-primary mr1"
                                    ng-model="target.search.public"
                                    uib-tooltip="Search in published stratigraphies"
                                    uib-btn-checkbox>
                                Public
                            </button>
                            <button type="button" class="btn btn-primary  mr1"
                                    ng-model="target.search.private"
                                    uib-tooltip="Search in your own stratigraphies"
                                    uib-btn-checkbox>
                                My Profile
                            </button>
                              <button type="button" class="btn btn-primary  mr1"
                                    ng-model="target.match_strata_by_class"
                                    uib-tooltip="Match strata within the same class (M/M CP/CP...) or match all strata (for each stratigraphy)"
                                    uib-btn-checkbox>
                                Match by class
                            </button>
                        </div>
                        <div class="btn-group" role="group">
                            <button ng-click="defaultWeights()" type="button" class="btn btn-primary mr1"
                                    uib-tooltip="reset all weight values to their default">
                                <span class="glyphicon glyphicon-repeat" aria-hidden="true"></span> Default values
                            </button>
                            <button ng-click="clearWeights()" type="button" class="btn btn-primary mr1"
                                    uib-tooltip="set all weight values to 0">
                                <span class="glyphicon glyphicon-remove" aria-hidden="true"></span> Clear values
                            </button>
                        </div>
                        <div class="btn-group" uib-dropdown>
                            <button ng-click="retry()" id="retry-button" type="button"
                                    ng-disabled="!(checkWeights.Bi || checkWeights.CS)"
                                    class="btn btn-primary" uib-tooltip="Retry find similar with changed settings">
                                <span class="glyphicon glyphicon-search" aria-hidden="true"></span>
                                Retry
                            </button>
                            <button type="button" class="btn btn-primary" uib-dropdown-toggle>
                                <span class="caret"></span>
                                <span class="sr-only">Split button</span>
                            </button>
                            <ul class="dropdown-menu" uib-dropdown-menu role="menu" aria-labelledby="retry-button">
                                <li role="menuitem">
                                    <a ng-disabled="!results_sheet_file" href="#"
                                       ng-click="$event.preventDefault(); download_xls()" uib-tooltip="Download matching details">
                                        Matching xls
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <!--
                        <button ng-disabled="!results_sheet_file" ng-click="download_xls()"
                                class="glyphicon glyphicon-download btn btn-info"
                                uib-tooltip="Download matching details">
                            Matching xls
                        </button>
                        -->
                    </div>
                </div>
                <div class="row">
                    <form>
                        <fieldset class="row" ng-repeat="(fg_uid,fg) in fgTabs">
                            <legend>{{ fg.familyGroup[0].familyGroup.name }} </legend>
                            <div ng-if="checkWeights.Bi && checkWeights.CS" ng-repeat="weight in weights | fg_weights:checkWeights:fg" class="form-group">
                                <div class="col-sm-5" >
                                    <label for="rg_{{ weight.mode+weight.name }}">{{weight.mode}} {{weight.name}}</label>
                                    <input id="rg_{{ weight.mode+weight.name }}" type="range" min=0 max=100
                                           ng-model="weight.value" ng-disabled="weight.disabled"/>
                                </div>
                                <div class="col-sm-1">
                                    {{ weight.value }}
                                </div>
                            </div>
                            <div ng-if="!(checkWeights.Bi && checkWeights.CS)" ng-repeat="weight in weights | fg_weights:checkWeights:fg" class="form-group">
                                <div class="col-sm-5"">
                                    <label for="rg_{{ weight.name }}">{{ weight.name }}</label>
                                    <input id="rg_{{ weight.name }}" type="range" min=0 max=100
                                           ng-model="weight.value" ng-disabled="weight.disabled"/>
                                </div>
                                <div class="col-sm-1">
                                    {{ weight.value }}
                                </div>
                            </div>
                        </fieldset>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>

    <div class="col-sm-6">
    <!--
    <div class="fsimilar-animate-container">
        <div  class="row animate-repeat" ng-repeat='result in results | orderBy:"-matching100"'>
            <div class="col-sm-2">
                <a href='/micorr/#/stratigraphy/{{ result.stratigraphy_uid }}?&observationMode=CS&colourFamily={{ cf }}'
                   target="_blank">
                    <img  style="padding: 3px" src="{{ result.node_base_url }}getStratigraphySvg?name={{ result.stratigraphy_uid }}&width=100">
                </a>
            </div>
            <div class="col-sm-2"><a href='/artefacts/{{ result.artefact_id }}' target="_blank">{{ result.matching100 }}</a></div>
            <div class="col-sm-2"><a href='/artefacts/{{ result.artefact_id }}' target="_blank">{{ result.artefact_metal_e_1 }}</a></div>
            <div class="col-sm-2"><a href='/artefacts/{{ result.artefact_id }}' target="_blank">{{ result.artefact_alloy }}</a></div>
            <div class="col-sm-3"><a href='/artefacts/{{ result.artefact_id }}' target="_blank">{{ result.artefact_object }}</a></div>
        </div>
    </div>
    -->
    <table class="table table-hover">
        <thead>
        <tr>
            <th>#</th>
            <th>Binocular</th>
            <th>CS - Bright field</th>
            <th>CS - Dark field</th>
            <th>CS - SE</th>
            <th>CS - BSE</th>
            <th>Matching 100%</th>
            <th>Metal Family</th>
            <th>Metal Alloy</th>
            <th>Object</th>
        </tr>
        </thead>
        <tbody class="fsimilar-animate-container">
        <tr class="animate-repeat" ng-repeat='result in results | orderBy:"-matching100"'>
            <td><strong>{{$index + 1}}</strong></td>
            <td><a href='/micorr/#/stratigraphy/{{ result.stratigraphy_uid }}' target="_blank">
                <img src="{{ result.node_base_url }}getStratigraphySvg?name={{ result.stratigraphy_uid }}&width=100">
            </a></td>
            <td ng-repeat="cf in ['morphologyColourWithOpticalMicroscopeBrightFieldCSFamily', 'morphologyColourWithOpticalMicroscopeDarkFieldCSFamily', 'morphologyColourWithScanningElectronMicroscopeSecondaryElectronsCSFamily', 'morphologyColourWithScanningElectronMicroscopeBackscatteredElectronsCSFamily' ] ">
                <a href='/micorr/#/stratigraphy/{{ result.stratigraphy_uid }}?&observationMode=CS&colourFamily={{ cf }}'
                   target="_blank">
                    <img src="{{ result.node_base_url }}getStratigraphySvg?name={{ result.stratigraphy_uid }}&width=100&observationMode=CS&colourFamily={{ cf }}">
                </a>
            </td>
            <td><a href='/artefacts/{{ result.artefact_id }}' target="_blank">{{ result.matching100 }}</a></td>
            <td><a href='/artefacts/{{ result.artefact_id }}' target="_blank">{{ result.artefact_metal_e_1 }}</a></td>
            <td><a href='/artefacts/{{ result.artefact_id }}' target="_blank">{{ result.artefact_alloy }}</a></td>
            <td><a href='/artefacts/{{ result.artefact_id }}' target="_blank">{{ result.artefact_object }}</a></td>
        </tr>
        </tbody>
    </table>
    </div>
</div>
<div>
    <button class="btn btn-primary" ng-click="ok()">Close</button>
</div>
